{
    "jobs" : [{
            "name" : "services:foundation",
            "cmds" : [
                "mkdir /data/service/el1/public/AbilityManagerService 0711 foundation system",
                "mkdir /data/storage/el1/bundle 0711 system system",
                "mkdir /data/storage/el2/base 0711 system system",
                "mkdir /data/storage/el2/database 0711 system system",
                "mkdir /data/service/el1/public/notification 0711 foundation system",
                "mkdir /data/service/el1/public/database 0711 ddms ddms",
                "mkdir /data/service/el1/public/database/bundle_manager_service 02770 foundation ddms",
                "mkdir /data/service/el1/public/database/notification_service 02770 foundation ddms",
                "mkdir /data/service/el1/public/database/form_storage 02770 foundation ddms",
                "mkdir /data/service/el0/stats 0711 foundation system",
                "mkdir /data/service/el0/thermal 0755 foundation foundation",
                "mkdir /data/service/el0/thermal/config 0711 foundation foundation",
                "chmod 0664 /sys/power/wakeup_count"
            ]
        } , {
            "name" : "services:restartfoundation",
            "cmds" : [
                "reset appspawn",
                "reset accountmgr"
            ]
        }
    ],
    "services" : [{
            "name" : "foundation",
            "path" : ["/system/bin/sa_main", "/system/profile/foundation.xml"],
            "importance" : -20,
            "uid" : "foundation",
            "permission" : [
                "ohos.permission.INPUT_MONITORING",
                "ohos.permission.PERMISSION_USED_STATS",
                "ohos.permission.DISTRIBUTED_SOFTBUS_CENTER",
                "ohos.permission.DISTRIBUTED_DATASYNC",
                "ohos.permission.MICROPHONE",
                "ohos.permission.WRITE_CALL_LOG",
                "ohos.permission.READ_CONTACTS",
                "ohos.permission.MANAGE_DISPOSED_APP_STATUS",
                "ohos.permission.READ_DFX_SYSEVENT",
                "ohos.permission.GRANT_SENSITIVE_PERMISSIONS",
                "ohos.permission.REVOKE_SENSITIVE_PERMISSIONS",
                "ohos.permission.MANAGE_SECURE_SETTINGS",
                "ohos.permission.GET_BUNDLE_INFO_PRIVILEGED",
                "ohos.permission.INSTALL_BUNDLE",
                "ohos.permission.PERMISSION_START_ABILITIES_FROM_BACKGROUND",
                "ohos.permission.ACCESS_SERVICE_DM",
                "ohos.permission.ABILITY_BACKGROUND_COMMUNICATION"
            ],
            "permission_acls":[
                "ohos.permission.GRANT_SENSITIVE_PERMISSIONS",
                "ohos.permission.REVOKE_SENSITIVE_PERMISSIONS"
            ],
            "gid" : ["system", "appspawn"],
            "caps" : ["SYS_PTRACE", "KILL"],
            "bootevents": "bootevent.wms.fullscreen.ready",
            "jobs" : {
                "on-start" : "services:foundation",
                "on-restart" : "services:restartfoundation"
            },
            "secon" : "u:r:ohco_foundation:s0"
        }
    ]
}
